1 Reply Latest reply on Mar 15, 2013 2:54 PM by Freddy Gonzalez

    I want update my pocessor

    Jose Arturo

      Hello, I have Intel® Q965, I don't know if can support a Core 2 Duo 2.93

      I see some processor E7500 or Q6600, but I see some have 4M or 8M

       

      What do you recommend?

      Now I used Pentium D 3.4

      Thanks!!